NL_LANGINFO(3)

NAME
nl_langinfo - language information

LIBRARY
libc

SYNOPSIS
#include <langinfo.h>
char *
nl_langinfo(nl_item item);

DESCRIPTION
The nl_langinfo() function returns a pointer to a string containing information relevant to the particular language or cultural area defined in the program's locale. The manifest constant names and values of item are defined in <langinfo.h>.

Calls to setlocale() with a category corresponding to the category of item, or to the category LC_ALL, may overwrite buffer pointed by the return value.

EXAMPLES
For example:

    nl_langinfo(ABDAY_1)

would return a pointer to the string "Dom" if the identified language was Portuguese, and "Sun" if the identified language was English.

RETURN VALUES
In a locale where langinfo data is not defined, nl_langinfo() returns a pointer to the corresponding string in the POSIX locale. In all locales, nl_langinfo() returns a pointer to an empty string if item contains an invalid setting.

SEE ALSO
setlocale(3)

STANDARDS
The nl_langinfo() function conforms to susv2.

HISTORY
The nl_langinfo() function first appeared in FreeBSD 4.6.